# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	EncryptedHash
Summary:	Tie::EncryptedHash Perl module - hashes with encrypting fields
Summary(pl):	Modu Perla Tie::EncryptedHash - hasze z kodowanymi polami
Name:		perl-Tie-EncryptedHash
Version:	1.21
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-CBC
BuildRequires:	perl-Crypt-DES
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::EncryptedHash augments Perl hash semantics to build secure,
encrypting containers of data.

%description -l pl
Modu Tie::EncryptedHash rozszerza semantyk perlowych haszy, aby
uzyska bezpieczne, szyfrujce struktury do przechowywania danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.html
%{perl_sitelib}/Tie/EncryptedHash.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-EncryptedHash.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:08  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:38:59  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 12:26:22  qboosh
- new

